Loading...
Searching...
No Matches
cose_encrypt0_t Struct Reference
Libcoap Internal API » OSCORE COSE Support

`#include <oscore_cose.h>`

Collaboration diagram for cose_encrypt0_t:
[legend]

## Data Fields

cose_alg_t | alg
coap_bin_const_t | key
uint8_t | partial_iv_data [8]
coap_bin_const_t | partial_iv
coap_bin_const_t | key_id
coap_bin_const_t | kid_context
coap_bin_const_t | oscore_option
coap_bin_const_t | nonce
coap_bin_const_t | external_aad
coap_bin_const_t | aad
coap_bin_const_t | plaintext
coap_bin_const_t | ciphertext

## Detailed Description

Definition at line 197 of file oscore_cose.h.

## Field Documentation

## aad

coap_bin_const_t cose_encrypt0_t::aad

Definition at line 208 of file oscore_cose.h.

## alg

cose_alg_t cose_encrypt0_t::alg

Definition at line 198 of file oscore_cose.h.

## ciphertext

coap_bin_const_t cose_encrypt0_t::ciphertext

Definition at line 210 of file oscore_cose.h.

## external_aad

coap_bin_const_t cose_encrypt0_t::external_aad

Definition at line 207 of file oscore_cose.h.

## key

coap_bin_const_t cose_encrypt0_t::key

Definition at line 199 of file oscore_cose.h.

## key_id

coap_bin_const_t cose_encrypt0_t::key_id

Definition at line 203 of file oscore_cose.h.

## kid_context

coap_bin_const_t cose_encrypt0_t::kid_context

Definition at line 204 of file oscore_cose.h.

## nonce

coap_bin_const_t cose_encrypt0_t::nonce

Definition at line 206 of file oscore_cose.h.

## oscore_option

coap_bin_const_t cose_encrypt0_t::oscore_option

Definition at line 205 of file oscore_cose.h.

## partial_iv

coap_bin_const_t cose_encrypt0_t::partial_iv

Definition at line 202 of file oscore_cose.h.

## partial_iv_data

uint8_t cose_encrypt0_t::partial_iv_data[8]

Definition at line 200 of file oscore_cose.h.

## plaintext

coap_bin_const_t cose_encrypt0_t::plaintext

Definition at line 209 of file oscore_cose.h.

The documentation for this struct was generated from the following file:

- oscore_cose.h